Bug 1295534 - REST Query API: regular expression parameters are unknown for the server
REST Query API: regular expression parameters are unknown for the server
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity high
: DR1
: 6.3.0
Assigned To: Shelly McGowan
Lukáš Petrovický
:
Depends On: 1260909
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 13:58 EST by Alessandro Lazarotti
Modified: 2018-01-30 23:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1260909
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-01-04 13:58:45 EST
+++ This bug was initially created as a clone of Bug #1260909 +++

Description of problem:
When you make a rest call with a query containing regular expression parameters, an answer with BAD_REQUEST status will be returned. The affected parameters are:

deploymentId_re
processId_re
processVersion_re
varId_re
varValue_re

Version-Release number of selected component (if applicable):
6.2.0 ER1

Steps to Reproduce:
1. Try for example http://localhost:8080/business-central/rest/query/runtime/process?deploymentId_re=*
2. See the response.

Actual results:
A message with BAD_REQUEST status. See the attachment for the exception on the server side.

Expected results:
Some process instances or empty list.

Additional info:
All these parameters work well without the '_re' suffix.

--- Additional comment from Tomas Livora on 2015-09-15 06:03:53 EDT ---

This also applies to task parameters with regular expressions:

initiator_re
stakeholder_re
potentialowner_re
taskowner_re
businessadmin_re

--- Additional comment from Marco Rietveld on 2015-12-14 15:37:42 EST ---

PR submitted: https://github.com/droolsjbpm/droolsjbpm-integration/pull/255

--- Additional comment from Marco Rietveld on 2015-12-18 13:50:09 EST ---

Fixed. Commits: 

master: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/67279008
Comment 1 Tomas Livora 2016-03-14 06:30:14 EDT
Verified on BPM Suite 6.3.0 DR2

Note You need to log in before you can comment on or make changes to this bug.